Subject: linux-next: manual merge of the gpio-brgl tree with the devicetree tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 4 Jul 2025 18:54:18 +1000

Hi all,

Today's linux-next merge of the gpio-brgl tree got a conflict in:

  Documentation/devicetree/bindings/trivial-devices.yaml

between commit:

  4fb2210866f7 ("dt-bindings: trivial-devices: Add Analog Devices ADT7411")

from the devicetree tree and commit:

  e65e2b0d0f7e ("dt-bindings: mfd: adp5585: document adp5589 I/O expander")

from the gpio-brgl tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/devicetree/bindings/trivial-devices.yaml
index db0295bf9fde,43b21fed7ec0..000000000000
--- a/Documentation/devicetree/bindings/trivial-devices.yaml
+++ b/Documentation/devicetree/bindings/trivial-devices.yaml
@@@ -39,10 -39,6 +39,8 @@@ properties
            - ad,adm9240
              # AD5110 - Nonvolatile Digital Potentiometer
            - adi,ad5110
-             # Analog Devices ADP5589 Keypad Decoder and I/O Expansion
-           - adi,adp5589
 +            # Analog Devices ADT7411 Temperature Sensor and 8-channel ADC
 +          - adi,adt7411
              # Analog Devices LT7182S Dual Channel 6A, 20V PolyPhase Step-Down Silent Switcher
            - adi,lt7182s
              # AMS iAQ-Core VOC Sensor